Name: mk-configure
Version: 0.16.0
Release: alt1

Summary: Lightweight replacement for GNU autotools

License: BSD
Group: Development/Tools
Url: http://sourceforge.net/projects/mk-configure/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%name/%name-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Fri Jun 18 2010
BuildRequires: bmake

%description
mk-configure is a lightweight replacement for GNU autotools, written in
bmake (portable version of NetBSD make), POSIX shell and POSIX utilities.

%prep
%setup
%__subst 's|"$CC" |$CC |g' mkc*
%__subst "s|/lib/|/%_lib/|g" examples/hello_dlopen/Makefile

%build
export MAKEFLAGS=
export PREFIX=%prefix
export MKCATPAGES=no
bmake all PREFIX=%prefix
#bmake test # for testing mk-configure

%install
export MAKEFLAGS=
export PREFIX=%prefix
export MANDIR=%_mandir
export BINOWN=`id -un`
export BINGRP=`id -gn`
export MANOWN=$BINOWN
export MANGRP=$BINGRP
export MKCATPAGES=no
bmake installdirs install DESTDIR=%buildroot
rm -rf %buildroot%_docdir/mk-configure

%files
%doc ChangeLog NEWS README TODO examples/
%_bindir/*
%_datadir/mk-configure/
%_datadir/mkc-mk/
%_man1dir/*
%_man7dir/*

%changelog
* Fri Jun 18 2010 Vitaly Lipatov <lav@altlinux.ru> 0.16.0-alt1
- new version 0.16.0 (with rpmrb script)

* Tue Nov 17 2009 Vitaly Lipatov <lav@altlinux.ru> 0.12.0-alt1
- new version 0.12.0 (with rpmrb script)

* Wed Jul 29 2009 Vitaly Lipatov <lav@altlinux.ru> 0.10.0-alt3
- build for Sisyphus

* Thu Jul 23 2009 Aleksey Cheusov <vle@gmx.net> 0.10.0-alt2
- Not it depends on pkgsrc-mk-files, fixes and clean-ups

* Sun Jul 12 2009 Vitaly Lipatov <lav@altlinux.ru> 0.10.0-alt1
- initial build for ALT Linux Sisyphus
